.range-slider-labels-container {
    margin-bottom: 4px;
}

.range-slider-container {
    display: flex;
    flex-display: row;
    justify-content: space-around;
    align-items: center;

    .wrapper-left {
        margin-right: 8px;
        padding: 8px
    }

    .wrapper-right {
        margin-left: 8px;
        padding: 8px
    }
}

.range-slider-content {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;

    .slider-input {
        position: absolute;
        pointer-events: none;
        -webkit-appearance: none;
        z-index: 2;
        height: 5px;
        width: 100%;
        opacity: 0;

        &::-webkit-slider-thumb {
            -webkit-appearance: none;
            pointer-events: all;
            box-shadow: 0 0 0 0 rgba(98, 0, 238, .1);
            top: 0;
            z-index: 5;
            border: 2px solid var(--primary);
        }

        @for $i from 4 through 60 {
            &.thumb-real-size-#{$i}::-webkit-slider-thumb {
                width: $i+px;
                height: $i+px;
            }
        }

        &.disabled::-webkit-slider-thumb {
            border: 2px solid gray;
            border-radius: 50%;
            background: white;

            cursor: not-allowed;
        }
    }

    .slider-container {
        position: relative;
        z-index: 1;

        display: flex;
        align-items: center;

        &:hover {
            .track {
                opacity: 1;
                transition: .3s ease-in-out;
            }
        }
    }
}

.slider-mark-label-container {
    z-index: 3;

    width: 100%;
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    min-height: 14px;
    padding-top: 12px;

    .slider-label {
        transform: translateX(-20%);
        width: fit-content;
    }
}


